bind9/bin/tests/system/clean.sh
Mark Andrews f9c9fce5c7 perform a more complete cleanup after running system tests [rt41255]
(cherry picked from commit ecfedec0e0)

Conflicts:
	bin/tests/system/acl/clean.sh
	bin/tests/system/addzone/clean.sh
	bin/tests/system/allow_query/clean.sh
	bin/tests/system/autosign/clean.sh
	bin/tests/system/case/clean.sh
	bin/tests/system/checknames/clean.sh
	bin/tests/system/dlzexternal/clean.sh
	bin/tests/system/dscp/clean.sh
	bin/tests/system/ednscompliance/clean.sh
	bin/tests/system/emptyzones/clean.sh
	bin/tests/system/formerr/clean.sh
	bin/tests/system/forward/clean.sh
	bin/tests/system/glue/clean.sh
	bin/tests/system/limits/clean.sh
	bin/tests/system/lwresd/clean.sh
	bin/tests/system/masterfile/clean.sh
	bin/tests/system/names/clean.sh
	bin/tests/system/nslookup/clean.sh
	bin/tests/system/nsupdate/clean.sh
	bin/tests/system/sfcache/clean.sh
	bin/tests/system/sit/clean.sh
	bin/tests/system/sortlist/clean.sh
	bin/tests/system/stub/clean.sh
	bin/tests/system/xferquota/clean.sh
2015-12-16 15:39:52 +11:00

31 lines
1 KiB
Bash

#!/bin/sh
#
# Copyright (C) 2015 Internet Systems Consortium, Inc. ("ISC")
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND ISC DISCLAIMS ALL WARRANTIES WITH
# REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS. IN NO EVENT SHALL ISC BE LIABLE FOR ANY SPECIAL, DIRECT,
# INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
# LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
# OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
# PERFORMANCE OF THIS SOFTWARE.
#
# Clean up after a specified system test.
#
SYSTEMTESTTOP=.
. $SYSTEMTESTTOP/conf.sh
test $# -gt 0 || { echo "usage: $0 test-directory" >&2; exit 1; }
test=$1
shift
if test -f $test/clean.sh; then
( cd $test && $SHELL clean.sh "$@" )
fi